#include <stdio.h>
#include "sqlite.h"

int main(int argc, char **argv) 
{
	sqlite3 *db;
	char *zErrMsg = 0;
	int rc;
	printf ("Content-type: text/html\n\n<html><body>\n");
	rc = sqlite3_open("devices.db", &db);
	if (rc) {
	    printf("<b>Can't open database: %s</b></body></html>\n", sqlite3_errmsg(db));
	    sqlite3_close(db);
	    exit(0);
	}
	
	rc = sqlite3_exec(db, "INSERT INTO devices SET ID=1,added=NOW();", NULL, 0, &zErrMsg);
	
	sqlite3_close(db);
	return 0;
}
